500 Server Error en la página de confirmación de pago  

 
Israel
 Israel
Usuario activo

Hola a todos!

Desde hace unos días hemos detectado que cuando nos hacen un pedido, una vez abonado, cuando debería de salir la página de confirmación del pago nos sale un error con este mensaje "500 Server Error".

Aunque el pago se efectúa, nos sale el error en pantalla.

Nuestra versión es 1.6.1.10 .

¿Podéis ayudarnos?

Si queréis hacer una prueba tenemos como forma de pago Contrareembolso.

Un abrazo y gracias adelantadas!

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 25/07/2017 11:02 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola israel

Hola Carlos, Buenos Días.

El error 500 o pagina en blanco generalmente cuando sucede suele ser porque hay algún fallo en la programación, esto puede suceder si hemos hecho algún cambio en la plantilla del sitio web o si se instalo alguna extensión con algún bug.

Cada vez que se genera uno de estos errores, se genera un fichero error_log y se introduce una línea indicando el motivo del error, el fichero y línea donde se ha producido. Esto nos ayudara para ver donde se producen los errores que aparecen en la web.

Puedes localizarlo accediendo desde cPanel -> administrador de Archivo y despliega la carpeta public_html y edita el fichero error_log.

Adjunta los errores que te indica o nos adjuntas el fichero para que podamos revisarlo.

Veo que estás utilizando un versión de PS desfasada, la última versión estable de PS es la 1.6.1.15, esto puede estar provocándote el error que nos comentas.

Previa copia de seguridad actualiza la versión de PS y si tienes módulos pendientes de actualizar los actualizas.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 25/07/2017 11:12 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Israel
 Israel
Usuario activo

Hola!

Mil gracias por la rapidez en la respuesta. Se agradece 🙂

Te adjunto lo que acabamos de copiar del log. Entonces podemos actualizar directamente a la nueva versión de prestashop?

[06-Mar-2017 18:38:11 Europe/Madrid] PHP Fatal error: Uncaught --> Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty: Unknown resource type 'hooks_list.push('DisplayOverrideTemplate');
<div id="DisplayOverrideTemplate" class="dndHook" style="min-height' Smarty Compiler: Syntax error in template "/home/puccakid/public_html/themes/panda/product.tpl" on line 845 "{/if}" unexpected closing tag Smarty Compiler: Syntax error in template "/home/puccakid/public_html/themes/panda/product.tpl" on line 845 "{/if}" unexpected closing tag <--
thrown in /home/puccakid/public_html/tools/smarty/sysplugins/smarty_internal_templatecompilerbase.php on line 845

ResponderCitar
Respondido : 25/07/2017 11:23 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Israel.

Los errores si son los que nos indicas veo que el último es de fecha 08-Mar-2017[08-Mar-2017 por lo que si no te indica más a fecha de hoy ya tiene que estar corregido.

Entonces podemos actualizar directamente a la nueva versión de prestashop?
Lo más aconsejable es que lo actualices, es posible que después de eso se solucione el error que no sindicas. Comprueba también los modulos que tengas por actualizar.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 25/07/2017 11:32 am

Cursos Gratuitos WordPress

Israel
 Israel
Usuario activo

Hola Pepe,

he actualizado los módulos pendientes y he instalado una nueva versión de Prestashop 1.6.1.15 y seguimos teniendo el mismo problema.....

¿Alguna idea más?

Un abrazo,

israel

ResponderCitar
Respondido : 25/07/2017 2:38 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Israel.

¿ Solo te pasa con esa forma de pago o te pasa en todas las formas de pago, Tarjeta, etc... ?

.- Accede a tu cuenta de cPanel -> Administrador de archivos
.- descarga el archivo error.txt y lo adjuntas para que lo revisemos.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 25/07/2017 3:50 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Israel
 Israel
Usuario activo

Hola Pepe,

me pasa con todas las formas de pago. Te adjunto el archivo que me pides.

un abrazo,

Israel

ResponderCitar
Respondido : 25/07/2017 4:50 pm
Israel
 Israel
Usuario activo

Os adjunto por aqui el archivo

ResponderCitar
Respondido : 25/07/2017 4:57 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Israel.

El ultimo aviso es de 08-Mar-2017 por lo que esos errores a fecha de hoy están resueltos.

Comentas que te pasa con todas las formas de pago, prueba a desactivar el modulo de Redsys y revisa si desaparece ese error, con eso comprobaremos si viene por el modulo.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 25/07/2017 5:14 pm
Israel
 Israel
Usuario activo

Hola Pepe,

hemos desactivado el módulo de Redsys y tampoco se soluciona :-z

Isra

ResponderCitar
Respondido : 25/07/2017 5:24 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Israel.

Aparte del modulo de redsys ¿ que módulos tienes para realizar el pago ? ¿ Tienes módulos de pago de terceros, BowBuy, etc.. ?

Prueba a ir desactivando los módulos de pago que tienes instalado e ir realizando las pruebas hasta encontrar el que te esta causando ese problema.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 25/07/2017 6:18 pm
Israel
 Israel
Usuario activo

Hola Pepe,

tenemos 3 modulos de pago (transferencia bancaria, Redsys y Paypal). Los 3 han sido desactivados por separado y al efectuar un pedido han dado error.... ¿Alguna idea mas?

ResponderCitar
Respondido : 25/07/2017 6:43 pm

Cursos Gratuitos WordPress

Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Verifica si estás utilizando la versión PHP adecuada. Intercala entre la versión 5.6 y la versión 7 y verifica si se soluciona cambiandolo.

Puedes realizar el cambio de PHP desde tu cPanel. La ruta seria la siguiente, cPanel => Software => Configurar PHP, en este aparado puedes seleccionar la versión PHP para toda la cuenta de Hosting o también lo puedes hacer para un dominio por individual.

Tienes mas información en la siguiente guía: https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/07/2017 12:06 am

Por favor Iniciar Sesión o Registro